VMTKIMAGEREADER(1)

NAME
vmtkimagereader - vmtk script vmtkimagereader

DESCRIPTION
Automatic piping vmtkimagereader Parsing options vmtkimagereader

vmtkimagereader : read an image and stores it in a vtkImageData object

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-f Format (str,1) in ['vtkxml', 'vtk', 'dicom', 'raw', 'meta',

    'tiff', 'png']: file format

-guessformat GuessFormat (bool,1); default=1: guess file format

    from extension

-useitk UseITKIO (bool,1); default=1: use ITKIO mechanism

-i Image (vtkImageData,1): the input image

-ifile InputFileName (str,1): input file name

-prefix InputFilePrefix (str,1): input file prefix (e.g. foo_)

-pattern InputFilePattern (str,1): input file pattern (e.g.

    %s%04d.png)

-extent DataExtent (int,6); default=[-1, -1, -1, -1, -1, -1]: 3D

    extent of the image - raw and png

-headersize HeaderSize (int,1) >= 0; default=0: size of the image

    header - raw only

-spacing DataSpacing (float,3); default=[1.0, 1.0, 1.0]: spacing of

    the image - raw, tiff, png, itk

-origin DataOrigin (float,3); default=[0.0, 0.0, 0.0]: origin of

    the image - raw, tiff, png, itk

-orientation DesiredOrientation (str,1) in ['native', 'axial',

    'coronal', 'sagittal']; default=native: desired data orientation - itk only

-byteorder DataByteOrder (str,1) in ['littleendian', 'bigendian'];

    default=littleendian: byte ordering - raw only

-scalartype DataScalarType (str,1) in ['float', 'double', 'int',

    'short', 'ushort', 'uchar']; default=float: scalar type - raw only

-filedimensionality FileDimensionality (int,1) >= 2 and <= 3;

    default=3: dimensionality of the file to read - raw only

-flip Flip (bool,3); default=[0, 0, 0]: toggle flipping of the

    corresponding axis

-autoorientdicom AutoOrientDICOMImage (bool,1); default=1: flip a

    dicom stack in order to have a left-to-right, posterio-toanterior, inferior-to-superior image; this is based on the "image orientation (patient)" field in the dicom header

-ofile ImageOutputFileName (str,1): filename for the default Image

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Image (vtkImageData,1): the output image

-rastoijkmatrix RasToIjkMatrixCoefficients (float,16); default=[1,

    0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1]

-xyztorasmatrix XyzToRasMatrixCoefficients (float,16); default=[1,

    0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1]